GDBserver

Macros
gdb_assert.h File Reference

Go to the source code of this file.

## Macros
#define | gdb_static_assert(expr) static_assert (expr, "")
#define | gdb_assert(expr)
#define | gdb_assert_fail(assertion, file, line, function)
#define | gdb_assert_not_reached(message) internal_error (__FILE__, __LINE__, _(message))

## Macro Definition Documentation

## ◆ gdb_assert

#define gdb_assert | ( |  | expr | ) |

Value:
((void) ((expr) ? 0 : \
(gdb_assert_fail (#expr, __FILE__, __LINE__, FUNCTION_NAME), 0)))
gdb_assert_fail
#define gdb_assert_fail(assertion, file, line, function)
Definition: gdb_assert.h:43

Definition at line 32 of file gdb_assert.h.

Referenced by __attribute__(), aarch64_align_watchpoint(), aarch64_dr_state_insert_one_point(), aarch64_dr_state_remove_one_point(), aarch64_linux_new_fork(), add_traceframe_block(), arm_fill_vfpregset_num(), arm_hwbp_control_initialize(), arm_new_fork(), arm_sigreturn_next_pc(), arm_store_vfpregset_num(), attach_thread(), ATTRIBUTE_PRINTF(), calculate_allocation(), check_mem_read(), check_mem_write(), check_ptrace_stopped_lwp_gone(), clone_fast_tracepoint(), complete_ongoing_step_over(), current_process(), debug_reg_change_callback(), refcounted_object::decref(), default_breakpoint_kind_from_pc(), delete_disabled_breakpoints(), delete_lwp(), gdb::optional< T >::destroy(), download_trace_state_variables(), download_tracepoint_1(), find_minimal_symbol_address(), find_thread_in_random(), finish_step_over(), fork_inferior(), gdb_signal_to_symbol_string(), gdb_tilde_expand(), gen_b_form(), gen_d_form(), gen_i_form(), gen_limm(), gen_md_form(), gen_x_form(), gen_xfx_form(), get_context_regcache(), get_dynamic(), get_thread_regcache(), handle_extended_wait(), handle_status(), handle_tracepoints(), ia64_fetch_register(), refcounted_object::incref(), init_target_desc(), linux_attach(), linux_common_xfer_osdata(), linux_fork_to_function(), linux_low_filter_event(), linux_mntns_open_cloexec(), linux_mntns_readlink(), linux_mntns_unlink(), linux_mourn(), linux_ns_filename(), linux_ns_get_namespace(), linux_resume_one_lwp_throw(), linux_sw_breakpoint_from_kind(), linux_wait_1(), linux_write_pc(), make_my_cleanup2(), maybe_hw_step(), maybe_move_out_of_jump_pad(), mips_linux_new_fork(), mips_linux_watch_populate_regs(), mips_remove_point(), mnsh_recv_fd(), mnsh_recv_int(), mnsh_recv_intstr(), move_out_of_jump_pad_callback(), need_step_over_p(), new_register_cache(), ppc_emit_call(), ppc_emit_const(), ppc_emit_int_call_1(), ppc_emit_reg(), ppc_emit_stack_adjust(), ppc_emit_void_call_2(), proceed_one_lwp(), process_serial_event(), queue_stop_reply_callback(), regcache_cpy(), regcache_raw_read_unsigned(), selftests::register_test(), reinsert_single_step_breakpoints(), remove_process(), select_event_lwp(), set_breakpoint(), set_single_step_breakpoint(), stop_all_lwps(), stuck_in_jump_pad_callback(), switch_to_thread(), tdesc_create_reg(), tdesc_get_features_xml(), thread_db_thread_handle(), thread_still_has_status_pending_p(), try_thread_db_load_1(), uninsert_single_step_breakpoints(), gdb::unlinker::unlinker(), validate_inserted_breakpoint(), wait_for_sigstop(), x86_dr_low_get_addr(), x86_dr_low_set_addr(), x86_linux_dr_get(), x86_linux_dr_get_addr(), x86_linux_dr_set(), x86_linux_dr_set_addr(), x86_linux_new_fork(), x86_linux_update_debug_registers(), x86_remove_aligned_watchpoint(), x86_update_inferior_debug_regs(), xsnprintf(), and Z_packet_to_bkpt_type().

## ◆ gdb_assert_fail

#define gdb_assert_fail | ( |  | assertion,
|  |  | file,
|  |  | line,
|  |  | function
| ) |  |

Value:
internal_error (file, line, _("Assertion `%s' failed."), \
assertion)
internal_error
void internal_error(const char *file, int line, const char *fmt,...)
Definition: errors.c:50
_
#define _(String)
Definition: gdb_locale.h:35

Definition at line 43 of file gdb_assert.h.

## ◆ gdb_assert_not_reached

#define gdb_assert_not_reached | ( |  | message | ) | internal_error (__FILE__, __LINE__, _(message))

Definition at line 55 of file gdb_assert.h.

Referenced by clone_one_breakpoint(), gdb_pipe_cloexec(), init_register_cache(), linux_ptrace_test_ret_to_nx(), main(), raw_bkpt_type_to_arm_hwbp_type(), read_one_ptr(), set_breakpoint(), throw_exception_cxx(), unmark_fd_no_cloexec(), win32_get_current_dr(), x86_linux_read_description(), and Z_packet_to_raw_bkpt_type().

## ◆ gdb_static_assert

#define gdb_static_assert | ( |  | expr | ) | static_assert (expr, "")

Definition at line 25 of file gdb_assert.h.